Bug 199381 - PATCH: sparc sun drivers
PATCH: sparc sun drivers
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2006-07-19 00:03 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-27 17:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sun drivers (1.24 KB, patch)
2006-07-19 00:03 EDT, Dennis Gilmore
no flags Details | Diff
adds sparc drivers as requested (524 bytes, patch)
2006-09-11 18:15 EDT, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2006-07-19 00:03:37 EDT
Description of problem:
the attached patch adds the sun specific drivers to the xorg-x11-drivers 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dennis Gilmore 2006-07-19 00:03:38 EDT
Created attachment 132658 [details]
sun drivers
Comment 2 Mike A. Harris 2006-07-25 01:42:37 EDT
The Requires in this package are automatically generated by a one liner
shell script present in a comment in the spec file, as that is the only
sane way to ensure the package is in sync with what the actual driver
packages are in the OS.  When someone changes a driver, they are likely
to forget to update the drivers package, or to introduce inconsistencies,
so having it scriptable is a big advantage.

However, this approach unintentionally imposes a limit on which architectures
the package handles.  The solution I've got in mind for this is to change
the script from listing one ifarch block per driver, to having one ifarch
block per arch, and having a number of Requires: lines in the single
block for the given driver.

That will serve 3 useful purposes:

- Allows us to autogenerate the architectures we build for.

- Allows us to include statically generated content in the spec for 3rd
  party architectures such as sparc to supplement the autogenerated bits.

- Will make the spec file much smaller and neater looking.

Just need to write the script code that will spit out output of the form:

%ifarch %{ix86}
Requires: xorg-x11-drv-ati xorg-x11-drv-i810 ...
Requires: xorg....

%ifarch x86_64
Requires: ...

..., with each Requires line having a maximum of 4 drivers listed per line
for readability.  I suspect a small perl script is the quickest and easiest
way to do this.  Low priority right now, but I'll implement it at some point.

In the mean time, I can add a hack into the spec for sparc for now.  Can
you rewrite the spec in the form:

%ifarch sparc sparc64
Requires: <all of the new drivers to add>

Also, you generated your patch backwards (args reversed).

Comment 3 Dennis Gilmore 2006-09-11 18:15:52 EDT
Created attachment 136038 [details]
adds sparc drivers as requested
Comment 4 Dennis Gilmore 2007-07-10 11:13:29 EDT
With secondary archs to come online soon.  I will be submitting all the sun 
drivers for review and then they will live in fedora cvs space.  maybe that 
will help
Comment 5 Adam Jackson 2007-07-27 17:56:32 EDT
Dennis, I've added you to the acl for xorg-x11-drivers.  When you've got the sun
drivers in CVS, go ahead and add them to the drivers metapackage behind %ifarch.

Note You need to log in before you can comment on or make changes to this bug.